Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class GenericNetwork

    java.lang.Object
      rice.pastry.direct.BasicNetworkSimulator
          rice.pastry.direct.GenericNetwork

All Implemented Interfaces:
  NetworkSimulator

public class GenericNetwork
extends BasicNetworkSimulator

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Nested Class Summary
`static class` | `GenericNetwork.Coordinate` DESCRIBE THE CLASS

Field Summary
`java.util.Vector` | `assignedIndices` DESCRIBE THE FIELD
`java.lang.String` | `inFile_Coord` DESCRIBE THE FIELD
`java.lang.String` | `inFile_Matrix` DESCRIBE THE FIELD
`static int` | `MAXOVERLAYSIZE` DESCRIBE THE FIELD
`java.util.Hashtable` | `nodePos` DESCRIBE THE FIELD
`java.lang.String` | `outFile_RawGNPError` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.direct.BasicNetworkSimulator
`logger, msgQueue, random, taskQueue`

Constructor Summary
`GenericNetwork(Environment env)` Constructor for GenericNetwork.

Method Summary
`void` | `computeRawGNPError()` DESCRIBE THE METHOD
`NodeRecord` | `generateNodeRecord()` DESCRIBE THE METHOD
`void` | `readOverlayMatrix()` DESCRIBE THE METHOD
`void` | `readOverlayPos()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.direct.BasicNetworkSimulator
`deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, getClosest, getEnvironment, getTestRecord, isAlive, proximity, registerNode, removeNode, setTestRecord, simulate, simulate, simulateFor, simulateUntil`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodePos

    public java.util.Hashtable nodePos

  DESCRIBE THE FIELD

### assignedIndices

    public java.util.Vector assignedIndices

  DESCRIBE THE FIELD

### inFile_Matrix

    public java.lang.String inFile_Matrix

  DESCRIBE THE FIELD

### inFile_Coord

    public java.lang.String inFile_Coord

  DESCRIBE THE FIELD

### outFile_RawGNPError

    public java.lang.String outFile_RawGNPError

  DESCRIBE THE FIELD

### MAXOVERLAYSIZE

    public static int MAXOVERLAYSIZE

  DESCRIBE THE FIELD

Constructor Detail

### GenericNetwork

    public GenericNetwork(Environment env)

  Constructor for GenericNetwork.

Parameters:
  `env` - DESCRIBE THE PARAMETER

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### readOverlayMatrix

    public void readOverlayMatrix()

  DESCRIBE THE METHOD

### readOverlayPos

    public void readOverlayPos()

  DESCRIBE THE METHOD

### computeRawGNPError

    public void computeRawGNPError()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.